Package com.pixelmed.convert

# Class TIFFValues.TIFFSRationalValues

java.lang.Object
com.pixelmed.convert.TIFFValues
com.pixelmed.convert.TIFFValues.TIFFSRationalValues

Enclosing class:
  TIFFValues

public static class TIFFValues.TIFFSRationalValues extends TIFFValues

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.convert.TIFFValues

`TIFFValues.TIFFAsciiValues, TIFFValues.TIFFByteValues, TIFFValues.TIFFIfd8Values, TIFFValues.TIFFIfdValues, TIFFValues.TIFFLong8Values, TIFFValues.TIFFLongValues, TIFFValues.TIFFRationalValues, TIFFValues.TIFFSByteValues, TIFFValues.TIFFShortValues, TIFFValues.TIFFSlong8Values, TIFFValues.TIFFSLongValues, TIFFValues.TIFFSRationalValues, TIFFValues.TIFFSShortValues, TIFFValues.TIFFUndefinedValues`

## Method Summary

Modifier and Type
Method
Description
`static TIFFValues.TIFFSRationalValues`
`extractValues(byte[] buffer, ByteOrder useByteOrder, int numberOfValues)`
`long`
`getSingleNumericValue(int valueNumber, long defaultValue)`
`String`
`toString()`

### Methods inherited from class com.pixelmed.convert.TIFFValues

`extractValues, getByteValues, getNumericValues, getSingleNumericValue, getStringValues`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### extractValues

public static TIFFValues.TIFFSRationalValues extractValues(byte[] buffer, ByteOrder useByteOrder, int numberOfValues)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getSingleNumericValue

public long getSingleNumericValue(int valueNumber, long defaultValue)

Overrides:
  `getSingleNumericValue` in class `TIFFValues`